Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 7996)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 7997)
@@ -505,10 +505,9 @@
     """
     grok.context(IApplicantOnlinePayment)
-    grok.name('callback')
+    grok.name('simulate_callback')
     grok.require('waeup.payApplicant')
 
     # This update method simulates a valid callback und must be
-    # specified in the customization package. The parameters must be taken
-    # from the incoming request.
+    # neutralized in the customization package.
     def update(self):
         self.wf_info = IWorkflowInfo(self.context.__parent__)
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 7996)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 7997)
@@ -644,5 +644,5 @@
                           self.browser.contents)
         # Callback can't be applied twice
-        self.browser.open(payment_url + '/callback')
+        self.browser.open(payment_url + '/simulate_callback')
         self.assertMatches(
             "...Transition 'pay' requires 'started' as source state...",
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 7996)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 7997)
@@ -182,6 +182,8 @@
     icon = 'actionicon_call.png'
     text = _('Request callback')
-    target = 'callback'
+    target = 'simulate_callback'
 
+    # This button must be neutralized
+    # in the customization package.
     @property
     def target_url(self):
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 7996)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 7997)
@@ -1086,10 +1086,9 @@
     """
     grok.context(IStudentOnlinePayment)
-    grok.name('callback')
+    grok.name('simulate_callback')
     grok.require('waeup.payStudent')
 
     # This update method simulates a valid callback und must be
-    # specified in the customization package. The parameters must be taken
-    # from the incoming request.
+    # neutralized in the customization package.
     def update(self):
         if self.context.p_state == 'paid':
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 7996)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 7997)
@@ -1256,5 +1256,5 @@
 
         # Callback can't be applied twice
-        self.browser.open(payment_url + '/callback')
+        self.browser.open(payment_url + '/simulate_callback')
         self.assertMatches('...This ticket has already been paid...',
                           self.browser.contents)
@@ -1298,5 +1298,5 @@
         value = ctrl.options[1] # The clearance payment is the second in the table
         self.browser.getLink(value).click()
-        self.browser.open(self.browser.url + '/callback')
+        self.browser.open(self.browser.url + '/simulate_callback')
         self.assertMatches('...Valid callback received...',
                           self.browser.contents)
@@ -1333,5 +1333,5 @@
         self.browser.getLink(value).click()
         payment_url = self.browser.url
-        self.browser.open(payment_url + '/callback')
+        self.browser.open(payment_url + '/simulate_callback')
         self.assertMatches('...Valid callback received...',
                           self.browser.contents)
@@ -1390,5 +1390,5 @@
         # Students can open the callback view which simulates a valid callback
         self.assertEqual(len(self.app['accesscodes']['SFE-0']),0)
-        self.browser.open(self.browser.url + '/callback')
+        self.browser.open(self.browser.url + '/simulate_callback')
         self.assertMatches('...Valid callback received...',
                           self.browser.contents)
@@ -1444,5 +1444,5 @@
         value = ctrl.options[0]
         self.browser.getLink(value).click()
-        self.browser.open(self.browser.url + '/callback')
+        self.browser.open(self.browser.url + '/simulate_callback')
         # The new HOS-0 pin has been created
         self.assertEqual(len(self.app['accesscodes']['HOS-0']),1)
@@ -1573,5 +1573,5 @@
         value = ctrl.options[0]
         self.browser.getLink(value).click()
-        self.browser.open(self.browser.url + '/callback')
+        self.browser.open(self.browser.url + '/simulate_callback')
         # The new HOS-0 pin has been created
         self.assertEqual(len(self.app['accesscodes']['HOS-0']),1)
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py	(revision 7996)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/viewlets.py	(revision 7997)
@@ -314,6 +314,8 @@
     icon = 'actionicon_call.png'
     text = _('Request callback')
-    target = 'callback'
-
+    target = 'simulate_callback'
+
+    # This button must be neutralized
+    # in the customization package.
     @property
     def target_url(self):