Index: main/waeup.custom/trunk/src/waeup/custom/locales/de/LC_MESSAGES/waeup.custom.po
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/locales/de/LC_MESSAGES/waeup.custom.po	(revision 7880)
+++ main/waeup.custom/trunk/src/waeup/custom/locales/de/LC_MESSAGES/waeup.custom.po	(revision 8018)
@@ -15,6 +15,6 @@
 msgstr ""
 "Project-Id-Version: WAeUP.Kofa\n"
-"POT-Creation-Date: Wed Mar 14 16:32:16 2012\n"
-"PO-Revision-Date: 2012-03-14 16:36+0100\n"
+"POT-Creation-Date: Mon Apr  2 12:28:41 2012\n"
+"PO-Revision-Date: 2012-04-02 12:33+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
 "Language-Team: WAeUP Germany <henrik@waeup.org>\n"
@@ -28,15 +28,59 @@
 "X-Poedit-SourceCharset: utf-8\n"
 
-#: waeup/custom/applicants/container.py:38
-msgid "Postgraduates"
-msgstr "Postgraduierte"
-
-#: waeup/custom/applicants/container.py:39
-msgid "handles postgraduate applicants"
-msgstr "für Antragsteller von Postgraduierten-Studiengängen"
+#: waeup/custom/applicants/interfaces.py:36
+msgid "Employer"
+msgstr "Arbeitgeber"
 
 #: waeup/custom/browser/theming.py:30
 msgid "Custom Theme 1"
 msgstr "Benutzerdefiniertes Thema 1"
+
+#: waeup/custom/etranzact/browser.py:104
+#: waeup/custom/interswitch/browser.py:214
+#: waeup/custom/interswitch/browser.py:284
+msgid "Wrong amount"
+msgstr "Falscher Betrag"
+
+#: waeup/custom/etranzact/browser.py:112
+#: waeup/custom/interswitch/browser.py:292
+msgid "Wrong transaction id"
+msgstr "Falsche Transaktions-Id"
+
+#: waeup/custom/etranzact/browser.py:36
+msgid "Query eTranzact History"
+msgstr "Query eTranzact History"
+
+#: waeup/custom/etranzact/browser.py:47
+msgid "Submit to eTranzact"
+msgstr "Submit to eTranzact"
+
+#: waeup/custom/etranzact/browser.py:48
+msgid "Requery eTranzact History"
+msgstr "Requery eTranzact History"
+
+#: waeup/custom/etranzact/browser.py:60
+#: waeup/custom/interswitch/browser.py:189
+#: waeup/custom/interswitch/browser.py:253
+msgid "This ticket has already been paid."
+msgstr "Das Ticket wurde bereits bezahlt."
+
+#: waeup/custom/etranzact/browser.py:72
+msgid "Unsuccessful callback"
+msgstr "Erfolgloser Rückruf"
+
+#. Default: ""
+#: waeup/custom/etranzact/browser.py:79
+#: waeup/custom/etranzact/browser.py:87
+#: waeup/custom/interswitch/browser.py:260
+msgid "Invalid callback: ${a}"
+msgstr "Ungültiger Rückruf: ${a}"
+
+#: waeup/custom/etranzact/browser.py:93
+msgid "eTranzact IOError"
+msgstr "eTranzact IOError"
+
+#: waeup/custom/etranzact/browser_templates/enterpin.pt:6
+msgid "Confirmation Number (PIN):"
+msgstr "Confirmation Number (PIN):"
 
 #: waeup/custom/interfaces.py:105
@@ -84,23 +128,41 @@
 msgstr "Studienfachwechselgebühr"
 
-#: waeup/custom/students/browser.py:112
+#: waeup/custom/interswitch/browser.py:115
+msgid "Request CollegePAY webservice"
+msgstr "Request CollegePAY webservice"
+
+#: waeup/custom/interswitch/browser.py:127
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr "Daten an CollegePAY (Interswitch Payment Gateway) senden"
+
+#: waeup/custom/interswitch/browser.py:128
+msgid "Submit"
+msgstr "Senden"
+
+#: waeup/custom/interswitch/browser.py:137
 msgid "Payment ticket can't be re-send to CollegePAY."
 msgstr "Bewertete Bezahl-Tickets können nicht erneut gesendet werden."
 
-#: waeup/custom/students/browser.py:74
+#. Default: ""
+#: waeup/custom/interswitch/browser.py:202
+#: waeup/custom/interswitch/browser.py:271
+msgid "Unsuccessful callback: ${a}"
+msgstr "Erfolgloser Rückruf: ${a}"
+
+#: waeup/custom/interswitch/browser.py:203
+msgid "Incomplete query string."
+msgstr "Unvollständiger Suchtext"
+
+#: waeup/custom/interswitch/browser.py:87
 msgid "CollegePAY"
 msgstr "CollegePAY"
 
-#: waeup/custom/students/browser.py:80
+#: waeup/custom/interswitch/browser.py:99
 msgid "Request CollegePAY callback"
 msgstr "CollegePAY Rückruf"
 
-#: waeup/custom/students/browser.py:92
-msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
-msgstr "Daten an CollegePAY (Interswitch Payment Gateway) senden"
-
-#: waeup/custom/students/browser.py:93
-msgid "Submit"
-msgstr "Senden"
+#: waeup/custom/interswitch/browser_templates/goto_interswitch.pt:4
+msgid "These data will be submitted to the CollegePAY payment gateway, please check:"
+msgstr "These data will be submitted to the CollegePAY payment gateway, please check:"
 
 #: waeup/custom/students/utils.py:70
@@ -112,2 +174,18 @@
 msgstr "Betrag konnte nicht ermittelt werden."
 
+#. Default: ""
+#: waeup/custom/utils/utils.py:30
+#: waeup/custom/utils/utils.py:38
+#: waeup/custom/utils/utils.py:46
+msgid "Valid callback received. ${a}"
+msgstr "Gültigen Rückruf erhalten. ${a}"
+
+#: waeup/custom/utils/utils.py:50
+msgid "Valid callback received."
+msgstr "Gültigen Rückruf erhalten."
+
+#~ msgid "Postgraduates"
+#~ msgstr "Postgraduierte"
+
+#~ msgid "handles postgraduate applicants"
+#~ msgstr "für Antragsteller von Postgraduierten-Studiengängen"
Index: main/waeup.custom/trunk/src/waeup/custom/locales/en/LC_MESSAGES/waeup.custom.po
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/locales/en/LC_MESSAGES/waeup.custom.po	(revision 7880)
+++ main/waeup.custom/trunk/src/waeup/custom/locales/en/LC_MESSAGES/waeup.custom.po	(revision 8018)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Wed Mar 14 16:32:16 2012\n"
+"POT-Creation-Date: Mon Apr  2 12:28:41 2012\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -25,14 +25,57 @@
 "Generated-By: zope/app/locales/extract.py\n"
 
-#: waeup/custom/applicants/container.py:38
-msgid "Postgraduates"
-msgstr ""
-
-#: waeup/custom/applicants/container.py:39
-msgid "handles postgraduate applicants"
+#: waeup/custom/applicants/interfaces.py:36
+msgid "Employer"
 msgstr ""
 
 #: waeup/custom/browser/theming.py:30
 msgid "Custom Theme 1"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:104
+#: waeup/custom/interswitch/browser.py:214
+#: waeup/custom/interswitch/browser.py:284
+msgid "Wrong amount"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:112
+#: waeup/custom/interswitch/browser.py:292
+msgid "Wrong transaction id"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:36
+msgid "Query eTranzact History"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:47
+msgid "Submit to eTranzact"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:48
+msgid "Requery eTranzact History"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:60
+#: waeup/custom/interswitch/browser.py:189
+#: waeup/custom/interswitch/browser.py:253
+msgid "This ticket has already been paid."
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:72
+msgid "Unsuccessful callback"
+msgstr ""
+
+#. Default: ""
+#: waeup/custom/etranzact/browser.py:79 waeup/custom/etranzact/browser.py:87
+#: waeup/custom/interswitch/browser.py:260
+msgid "Invalid callback: ${a}"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:93
+msgid "eTranzact IOError"
+msgstr ""
+
+#: waeup/custom/etranzact/browser_templates/enterpin.pt:6
+msgid "Confirmation Number (PIN):"
 msgstr ""
 
@@ -81,22 +124,41 @@
 msgstr ""
 
-#: waeup/custom/students/browser.py:112
+#: waeup/custom/interswitch/browser.py:115
+msgid "Request CollegePAY webservice"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:127
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:128
+msgid "Submit"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:137
 msgid "Payment ticket can't be re-send to CollegePAY."
 msgstr ""
 
-#: waeup/custom/students/browser.py:74
+#. Default: ""
+#: waeup/custom/interswitch/browser.py:202
+#: waeup/custom/interswitch/browser.py:271
+msgid "Unsuccessful callback: ${a}"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:203
+msgid "Incomplete query string."
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:87
 msgid "CollegePAY"
 msgstr ""
 
-#: waeup/custom/students/browser.py:80
+#: waeup/custom/interswitch/browser.py:99
 msgid "Request CollegePAY callback"
 msgstr ""
 
-#: waeup/custom/students/browser.py:92
-msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
-msgstr ""
-
-#: waeup/custom/students/browser.py:93
-msgid "Submit"
+#: waeup/custom/interswitch/browser_templates/goto_interswitch.pt:4
+msgid ""
+"These data will be submitted to the CollegePAY payment gateway, please check:"
 msgstr ""
 
@@ -108,2 +170,12 @@
 msgid "Amount could not be determined."
 msgstr ""
+
+#. Default: ""
+#: waeup/custom/utils/utils.py:30 waeup/custom/utils/utils.py:38
+#: waeup/custom/utils/utils.py:46
+msgid "Valid callback received. ${a}"
+msgstr ""
+
+#: waeup/custom/utils/utils.py:50
+msgid "Valid callback received."
+msgstr ""
Index: main/waeup.custom/trunk/src/waeup/custom/locales/fr/LC_MESSAGES/waeup.custom.po
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/locales/fr/LC_MESSAGES/waeup.custom.po	(revision 7880)
+++ main/waeup.custom/trunk/src/waeup/custom/locales/fr/LC_MESSAGES/waeup.custom.po	(revision 8018)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.Kofa\n"
-"POT-Creation-Date: Wed Mar 14 16:32:16 2012\n"
+"POT-Creation-Date: Mon Apr  2 12:28:41 2012\n"
 "PO-Revision-Date: 2012-03-09 08:17+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -28,14 +28,57 @@
 "X-Poedit-SourceCharset: utf-8\n"
 
-#: waeup/custom/applicants/container.py:38
-msgid "Postgraduates"
-msgstr ""
-
-#: waeup/custom/applicants/container.py:39
-msgid "handles postgraduate applicants"
+#: waeup/custom/applicants/interfaces.py:36
+msgid "Employer"
 msgstr ""
 
 #: waeup/custom/browser/theming.py:30
 msgid "Custom Theme 1"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:104
+#: waeup/custom/interswitch/browser.py:214
+#: waeup/custom/interswitch/browser.py:284
+msgid "Wrong amount"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:112
+#: waeup/custom/interswitch/browser.py:292
+msgid "Wrong transaction id"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:36
+msgid "Query eTranzact History"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:47
+msgid "Submit to eTranzact"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:48
+msgid "Requery eTranzact History"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:60
+#: waeup/custom/interswitch/browser.py:189
+#: waeup/custom/interswitch/browser.py:253
+msgid "This ticket has already been paid."
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:72
+msgid "Unsuccessful callback"
+msgstr ""
+
+#. Default: ""
+#: waeup/custom/etranzact/browser.py:79 waeup/custom/etranzact/browser.py:87
+#: waeup/custom/interswitch/browser.py:260
+msgid "Invalid callback: ${a}"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:93
+msgid "eTranzact IOError"
+msgstr ""
+
+#: waeup/custom/etranzact/browser_templates/enterpin.pt:6
+msgid "Confirmation Number (PIN):"
 msgstr ""
 
@@ -84,22 +127,41 @@
 msgstr ""
 
-#: waeup/custom/students/browser.py:112
+#: waeup/custom/interswitch/browser.py:115
+msgid "Request CollegePAY webservice"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:127
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:128
+msgid "Submit"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:137
 msgid "Payment ticket can't be re-send to CollegePAY."
 msgstr ""
 
-#: waeup/custom/students/browser.py:74
+#. Default: ""
+#: waeup/custom/interswitch/browser.py:202
+#: waeup/custom/interswitch/browser.py:271
+msgid "Unsuccessful callback: ${a}"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:203
+msgid "Incomplete query string."
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:87
 msgid "CollegePAY"
 msgstr ""
 
-#: waeup/custom/students/browser.py:80
+#: waeup/custom/interswitch/browser.py:99
 msgid "Request CollegePAY callback"
 msgstr ""
 
-#: waeup/custom/students/browser.py:92
-msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
-msgstr ""
-
-#: waeup/custom/students/browser.py:93
-msgid "Submit"
+#: waeup/custom/interswitch/browser_templates/goto_interswitch.pt:4
+msgid ""
+"These data will be submitted to the CollegePAY payment gateway, please check:"
 msgstr ""
 
@@ -111,2 +173,12 @@
 msgid "Amount could not be determined."
 msgstr ""
+
+#. Default: ""
+#: waeup/custom/utils/utils.py:30 waeup/custom/utils/utils.py:38
+#: waeup/custom/utils/utils.py:46
+msgid "Valid callback received. ${a}"
+msgstr ""
+
+#: waeup/custom/utils/utils.py:50
+msgid "Valid callback received."
+msgstr ""
Index: main/waeup.custom/trunk/src/waeup/custom/locales/ha/LC_MESSAGES/waeup.custom.po
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/locales/ha/LC_MESSAGES/waeup.custom.po	(revision 7880)
+++ main/waeup.custom/trunk/src/waeup/custom/locales/ha/LC_MESSAGES/waeup.custom.po	(revision 8018)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.Kofa\n"
-"POT-Creation-Date: Wed Mar 14 16:32:16 2012\n"
+"POT-Creation-Date: Mon Apr  2 12:28:41 2012\n"
 "PO-Revision-Date: 2012-03-09 08:16+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -28,14 +28,57 @@
 "X-Poedit-SourceCharset: utf-8\n"
 
-#: waeup/custom/applicants/container.py:38
-msgid "Postgraduates"
-msgstr ""
-
-#: waeup/custom/applicants/container.py:39
-msgid "handles postgraduate applicants"
+#: waeup/custom/applicants/interfaces.py:36
+msgid "Employer"
 msgstr ""
 
 #: waeup/custom/browser/theming.py:30
 msgid "Custom Theme 1"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:104
+#: waeup/custom/interswitch/browser.py:214
+#: waeup/custom/interswitch/browser.py:284
+msgid "Wrong amount"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:112
+#: waeup/custom/interswitch/browser.py:292
+msgid "Wrong transaction id"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:36
+msgid "Query eTranzact History"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:47
+msgid "Submit to eTranzact"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:48
+msgid "Requery eTranzact History"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:60
+#: waeup/custom/interswitch/browser.py:189
+#: waeup/custom/interswitch/browser.py:253
+msgid "This ticket has already been paid."
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:72
+msgid "Unsuccessful callback"
+msgstr ""
+
+#. Default: ""
+#: waeup/custom/etranzact/browser.py:79 waeup/custom/etranzact/browser.py:87
+#: waeup/custom/interswitch/browser.py:260
+msgid "Invalid callback: ${a}"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:93
+msgid "eTranzact IOError"
+msgstr ""
+
+#: waeup/custom/etranzact/browser_templates/enterpin.pt:6
+msgid "Confirmation Number (PIN):"
 msgstr ""
 
@@ -84,22 +127,41 @@
 msgstr ""
 
-#: waeup/custom/students/browser.py:112
+#: waeup/custom/interswitch/browser.py:115
+msgid "Request CollegePAY webservice"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:127
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:128
+msgid "Submit"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:137
 msgid "Payment ticket can't be re-send to CollegePAY."
 msgstr ""
 
-#: waeup/custom/students/browser.py:74
+#. Default: ""
+#: waeup/custom/interswitch/browser.py:202
+#: waeup/custom/interswitch/browser.py:271
+msgid "Unsuccessful callback: ${a}"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:203
+msgid "Incomplete query string."
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:87
 msgid "CollegePAY"
 msgstr ""
 
-#: waeup/custom/students/browser.py:80
+#: waeup/custom/interswitch/browser.py:99
 msgid "Request CollegePAY callback"
 msgstr ""
 
-#: waeup/custom/students/browser.py:92
-msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
-msgstr ""
-
-#: waeup/custom/students/browser.py:93
-msgid "Submit"
+#: waeup/custom/interswitch/browser_templates/goto_interswitch.pt:4
+msgid ""
+"These data will be submitted to the CollegePAY payment gateway, please check:"
 msgstr ""
 
@@ -111,2 +173,12 @@
 msgid "Amount could not be determined."
 msgstr ""
+
+#. Default: ""
+#: waeup/custom/utils/utils.py:30 waeup/custom/utils/utils.py:38
+#: waeup/custom/utils/utils.py:46
+msgid "Valid callback received. ${a}"
+msgstr ""
+
+#: waeup/custom/utils/utils.py:50
+msgid "Valid callback received."
+msgstr ""
Index: main/waeup.custom/trunk/src/waeup/custom/locales/waeup.custom.pot
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/locales/waeup.custom.pot	(revision 7880)
+++ main/waeup.custom/trunk/src/waeup/custom/locales/waeup.custom.pot	(revision 8018)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Wed Mar 14 16:32:16 2012\n"
+"POT-Creation-Date: Mon Apr  2 12:28:41 2012\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -24,14 +24,58 @@
 "Generated-By: zope/app/locales/extract.py\n"
 
-#: waeup/custom/applicants/container.py:38
-msgid "Postgraduates"
-msgstr ""
-
-#: waeup/custom/applicants/container.py:39
-msgid "handles postgraduate applicants"
+#: waeup/custom/applicants/interfaces.py:36
+msgid "Employer"
 msgstr ""
 
 #: waeup/custom/browser/theming.py:30
 msgid "Custom Theme 1"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:104
+#: waeup/custom/interswitch/browser.py:214
+#: waeup/custom/interswitch/browser.py:284
+msgid "Wrong amount"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:112
+#: waeup/custom/interswitch/browser.py:292
+msgid "Wrong transaction id"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:36
+msgid "Query eTranzact History"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:47
+msgid "Submit to eTranzact"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:48
+msgid "Requery eTranzact History"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:60
+#: waeup/custom/interswitch/browser.py:189
+#: waeup/custom/interswitch/browser.py:253
+msgid "This ticket has already been paid."
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:72
+msgid "Unsuccessful callback"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:79
+#: waeup/custom/etranzact/browser.py:87
+#: waeup/custom/interswitch/browser.py:260
+#. Default: ""
+msgid "Invalid callback: ${a}"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:93
+msgid "eTranzact IOError"
+msgstr ""
+
+#: waeup/custom/etranzact/browser_templates/enterpin.pt:6
+msgid "Confirmation Number (PIN):"
 msgstr ""
 
@@ -80,22 +124,40 @@
 msgstr ""
 
-#: waeup/custom/students/browser.py:112
+#: waeup/custom/interswitch/browser.py:115
+msgid "Request CollegePAY webservice"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:127
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:128
+msgid "Submit"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:137
 msgid "Payment ticket can't be re-send to CollegePAY."
 msgstr ""
 
-#: waeup/custom/students/browser.py:74
+#: waeup/custom/interswitch/browser.py:202
+#: waeup/custom/interswitch/browser.py:271
+#. Default: ""
+msgid "Unsuccessful callback: ${a}"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:203
+msgid "Incomplete query string."
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:87
 msgid "CollegePAY"
 msgstr ""
 
-#: waeup/custom/students/browser.py:80
+#: waeup/custom/interswitch/browser.py:99
 msgid "Request CollegePAY callback"
 msgstr ""
 
-#: waeup/custom/students/browser.py:92
-msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
-msgstr ""
-
-#: waeup/custom/students/browser.py:93
-msgid "Submit"
+#: waeup/custom/interswitch/browser_templates/goto_interswitch.pt:4
+msgid "These data will be submitted to the CollegePAY payment gateway, please check:"
 msgstr ""
 
@@ -108,2 +170,13 @@
 msgstr ""
 
+#: waeup/custom/utils/utils.py:30
+#: waeup/custom/utils/utils.py:38
+#: waeup/custom/utils/utils.py:46
+#. Default: ""
+msgid "Valid callback received. ${a}"
+msgstr ""
+
+#: waeup/custom/utils/utils.py:50
+msgid "Valid callback received."
+msgstr ""
+
Index: main/waeup.custom/trunk/src/waeup/custom/locales/yo/LC_MESSAGES/waeup.custom.po
===================================================================
--- main/waeup.custom/trunk/src/waeup/custom/locales/yo/LC_MESSAGES/waeup.custom.po	(revision 7880)
+++ main/waeup.custom/trunk/src/waeup/custom/locales/yo/LC_MESSAGES/waeup.custom.po	(revision 8018)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.Kofa\n"
-"POT-Creation-Date: Wed Mar 14 16:32:16 2012\n"
+"POT-Creation-Date: Mon Apr  2 12:28:41 2012\n"
 "PO-Revision-Date: 2012-03-09 08:17+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -28,14 +28,57 @@
 "X-Poedit-SourceCharset: utf-8\n"
 
-#: waeup/custom/applicants/container.py:38
-msgid "Postgraduates"
-msgstr ""
-
-#: waeup/custom/applicants/container.py:39
-msgid "handles postgraduate applicants"
+#: waeup/custom/applicants/interfaces.py:36
+msgid "Employer"
 msgstr ""
 
 #: waeup/custom/browser/theming.py:30
 msgid "Custom Theme 1"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:104
+#: waeup/custom/interswitch/browser.py:214
+#: waeup/custom/interswitch/browser.py:284
+msgid "Wrong amount"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:112
+#: waeup/custom/interswitch/browser.py:292
+msgid "Wrong transaction id"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:36
+msgid "Query eTranzact History"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:47
+msgid "Submit to eTranzact"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:48
+msgid "Requery eTranzact History"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:60
+#: waeup/custom/interswitch/browser.py:189
+#: waeup/custom/interswitch/browser.py:253
+msgid "This ticket has already been paid."
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:72
+msgid "Unsuccessful callback"
+msgstr ""
+
+#. Default: ""
+#: waeup/custom/etranzact/browser.py:79 waeup/custom/etranzact/browser.py:87
+#: waeup/custom/interswitch/browser.py:260
+msgid "Invalid callback: ${a}"
+msgstr ""
+
+#: waeup/custom/etranzact/browser.py:93
+msgid "eTranzact IOError"
+msgstr ""
+
+#: waeup/custom/etranzact/browser_templates/enterpin.pt:6
+msgid "Confirmation Number (PIN):"
 msgstr ""
 
@@ -84,22 +127,41 @@
 msgstr ""
 
-#: waeup/custom/students/browser.py:112
+#: waeup/custom/interswitch/browser.py:115
+msgid "Request CollegePAY webservice"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:127
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:128
+msgid "Submit"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:137
 msgid "Payment ticket can't be re-send to CollegePAY."
 msgstr ""
 
-#: waeup/custom/students/browser.py:74
+#. Default: ""
+#: waeup/custom/interswitch/browser.py:202
+#: waeup/custom/interswitch/browser.py:271
+msgid "Unsuccessful callback: ${a}"
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:203
+msgid "Incomplete query string."
+msgstr ""
+
+#: waeup/custom/interswitch/browser.py:87
 msgid "CollegePAY"
 msgstr ""
 
-#: waeup/custom/students/browser.py:80
+#: waeup/custom/interswitch/browser.py:99
 msgid "Request CollegePAY callback"
 msgstr ""
 
-#: waeup/custom/students/browser.py:92
-msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
-msgstr ""
-
-#: waeup/custom/students/browser.py:93
-msgid "Submit"
+#: waeup/custom/interswitch/browser_templates/goto_interswitch.pt:4
+msgid ""
+"These data will be submitted to the CollegePAY payment gateway, please check:"
 msgstr ""
 
@@ -111,2 +173,12 @@
 msgid "Amount could not be determined."
 msgstr ""
+
+#. Default: ""
+#: waeup/custom/utils/utils.py:30 waeup/custom/utils/utils.py:38
+#: waeup/custom/utils/utils.py:46
+msgid "Valid callback received. ${a}"
+msgstr ""
+
+#: waeup/custom/utils/utils.py:50
+msgid "Valid callback received."
+msgstr ""