Index: WAeUP_SRP/trunk/skins/waeup_uniben/admission_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_uniben/admission_form.pt	(revision 8022)
+++ WAeUP_SRP/trunk/skins/waeup_uniben/admission_form.pt	(revision 8022)
@@ -0,0 +1,93 @@
+<metal:html tal:define="info context/getStudentInfo;">
+  <span tal:condition="not: info">
+    <span tal:content="here/illegal_view" />
+  </span>
+<metal:block tal:condition="info"> 
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+    <span tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </span>
+    <span tal:condition="info"
+          tal:define="review_state info/review_state;
+                      app_email info/app_doc/app_email|nothing;
+                      app_passport info/has_passport;
+                      data_complete python:app_passport and app_email;
+                      ">
+          
+
+      <div style="text-align: right"
+           tal:condition="python:review_state in ('admitted', 'clearance_pin_entered', 'clearance_requested', 'cleared', 'objection_raised',)">
+      <a href="" target="slip" tal:attributes="href string:admission_slip"
+          onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+          <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+          Admission Slip
+      </a>
+      </div>          
+  
+          
+      <h3>This is to inform you that you have been provisionally admitted into 
+      <span tal:replace="here/portal_properties/institution_title" /> as follows:
+      </h3>
+
+      <br />
+      <span tal:omit-tag=""
+            tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
+            layout_mode='view_info', 
+            layout_id='student_application')" 
+            />
+
+      <h4>Your Study Course:</h4>
+      <table tal:define="sc python: info['course_doc']">
+        <tr>
+          <td width="180px">Certificate:</td> 
+          <td><span tal:content="sc/title" /></td>
+        </tr>
+        <tr>
+          <td>Certificate ID:</td>
+          <td tal:content="sc/study_course" />
+        </tr>
+          <span tal:define="f_id sc/faculty;
+          d_id sc/department;
+          f_title context/academics/?f_id/Title|string:Faculty not yet in Prospectus;
+          d_title context/academics/?f_id/?d_id/Title|string:Department not yet in Prospectus"
+          >
+            <tr>
+              <td>Faculty:</td>
+              <td tal:content="f_title" />
+            </tr>
+            <tr>
+              <td>Department:</td> 
+              <td><span tal:content="d_title" /></td>
+            </tr>
+          </span>
+        </table>        
+        
+        <br />
+        
+      <strong tal:condition="python: False and 'pt' in info['app_doc'].entry_mode "></strong>
+      <strong tal:condition="python: False and 'ft' in info['app_doc'].entry_mode ">Clearance commences on resumption and ends exactly two(2) weeks after resumption date.
+              Any breach of this directive will result in forfeiture of the admission offer.</strong>           
+              
+      <br /><br />      
+  
+     
+      <form action="." method="post" class="group">
+
+                <input  tal:condition="python:review_state=='admitted'" type="submit" name="raise_objection:method" value="Raise an Objection"
+                       class="destructive"
+                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                       (cpsmcat('Confirm that you want to raise an objection.'), )" 
+                       />
+                <input tal:condition="python:review_state in ('admitted', 'objection_raised',) and not data_complete" type="submit" name="application_edit:method"
+                       class="context" value="Continue" 
+                       />
+                <input tal:condition="python:review_state in ('admitted', 'objection_raised',) and data_complete" type="submit" name="start_clearance:method"
+                       class="context" value="Continue" 
+                       />                       
+       </form>
+    </span>
+    </metal:main>
+  </metal:body>
+</metal:block>     
+</metal:html>