Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/facultypage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/facultypage.pt	(revision 8023)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/facultypage.pt	(revision 8024)
@@ -1,4 +1,4 @@
 <div i18n:domain="waeup.kofa" i18n:translate="" tal:condition="python: not len(context.keys())">
-There no subobjects registered yet.
+There are no subobjects registered yet.
 </div>
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/locales/de/LC_MESSAGES/zope.po
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/locales/de/LC_MESSAGES/zope.po	(revision 8023)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/locales/de/LC_MESSAGES/zope.po	(revision 8024)
@@ -2,5 +2,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.KOFA\n"
-"PO-Revision-Date: 2012-04-03 07:03+0100\n"
+"PO-Revision-Date: 2012-04-03 09:28+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
 "Language-Team: WAeUP Germany <henrik@waeup.org>\n"
@@ -39,2 +39,12 @@
 msgstr "--"
 
+#. Default: "(no value available)"
+#: src/zope/app/form/browser/sequencewidget.py:256
+msgid "sequence-value-not-provided"
+msgstr "--"
+
+#. Default: "(no values)"
+#: src/zope/app/form/browser/sequencewidget.py:259
+msgid "sequence-value-is-empty"
+msgstr "--"
+
Index: /main/waeup.kofa/trunk/src/waeup/kofa/locales/en/LC_MESSAGES/zope.po
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/locales/en/LC_MESSAGES/zope.po	(revision 8023)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/locales/en/LC_MESSAGES/zope.po	(revision 8024)
@@ -2,5 +2,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.KOFA\n"
-"PO-Revision-Date: 2012-04-03 07:02+0100\n"
+"PO-Revision-Date: 2012-04-03 08:19+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
 "Language-Team: WAeUP Germany <henrik@waeup.org>\n"
@@ -39,2 +39,12 @@
 msgstr "--"
 
+#. Default: "(no value available)"
+#: src/zope/app/form/browser/sequencewidget.py:256
+msgid "sequence-value-not-provided"
+msgstr "--"
+
+#. Default: "(no values)"
+#: src/zope/app/form/browser/sequencewidget.py:259
+msgid "sequence-value-is-empty"
+msgstr "--"
+
Index: /main/waeup.kofa/trunk/src/waeup/kofa/locales/zope.pot
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/locales/zope.pot	(revision 8023)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/locales/zope.pot	(revision 8024)
@@ -37,2 +37,12 @@
 msgid "vocabulary-missing-multiple-value-for-edit"
 msgstr ""
+
+#. Default: "(no value available)"
+#: src/zope/app/form/browser/sequencewidget.py:256
+msgid "sequence-value-not-provided"
+msgstr ""
+
+#. Default: "(no values)"
+#: src/zope/app/form/browser/sequencewidget.py:259
+msgid "sequence-value-is-empty"
+msgstr ""
Index: /main/waeup.kofa/trunk/src/waeup/kofa/widgets/sequencewidget.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/widgets/sequencewidget.py	(revision 8023)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/widgets/sequencewidget.py	(revision 8024)
@@ -22,4 +22,5 @@
 """
 import grok
+from zope.i18n import translate
 from zope.browserpage import ViewPageTemplateFile
 from zope.formlib.interfaces import IInputWidget, IDisplayWidget
@@ -47,4 +48,39 @@
     itemTag = 'div'
 
+    def __call__(self):
+    """This is is a patch for the orginal __call__ method which doesn't call
+    the translate function properly.
+    """
+
+        # get the data to display:
+        if self._renderedValueSet():
+            data = self._data
+        else:
+            data = self.context.get(self.context.context)
+
+        # deal with special cases:
+        if data == self.context.missing_value:
+            return translate(self._missingValueMessage, context=self.request)
+        data = list(data)
+        if not data:
+            return translate(self._emptySequenceMessage, context=self.request)
+
+        parts = []
+        for i, item in enumerate(data):
+            widget = self._getWidget(i)
+            widget.setRenderedValue(item)
+            s = widget()
+            if self.itemTag:
+                s = "<%s>%s</%s>" % (self.itemTag, s, self.itemTag)
+            parts.append(s)
+        contents = "\n".join(parts)
+        if self.tag:
+            contents = "\n%s\n" % contents
+            contents = renderElement(self.tag,
+                                     cssClass=self.cssClass,
+                                     extra=self.extra,
+                                     contents=contents)
+        return contents
+
 # Register our sequence widgets as default for lists.
 @grok.adapter(IList, IField, IBrowserRequest)